function makeGraphs0517

savePrefix = '0517-scalability-phase1';

circuits   = {    'c17', 'c432',  'c880', 'c1908', 'c2670', 'c3540', 'c5315', 'c6288', 'c7552' };
seqMinutes = [ 0.01667 7.85556 14.44167  7.85000  9.77778  6.99444 27.37778 12.83889  9.52917  ];

circuits   = fliplr(circuits);
seqMinutes = fliplr(seqMinutes);

data = [ seqMinutes' ];


colormap mycolormap0517;
barh(data);

% a = axis; 
% a(4) = a(4)*1.1;
% axis(a);
for i = 1:9;
  min = floor(seqMinutes(i));
  sec = floor((seqMinutes(i) - min)*60);
  text( seqMinutes(i)+1, i, ...
        sprintf('%gm%gs', min,sec ), ...
        'BackgroundColor', [ hex2dec('F2') hex2dec('E1') hex2dec('BC') ] ./ 256, ...
        'EdgeColor', 'k', ...
        'FontAngle', 'italic' );
%         'BackgroundColor', 'w', ...
%         'EdgeColor', 'k', ...
end

grid on
title('Scalability experiments, phase 1: p=1, \delta=0, Y_0=1, X_0=0, \gamma=500');
set(gca,'YTickLabel',circuits)
ylabel('ISCAS circuit');
xlabel('Time until fitness target was reached [minutes]');
% legend('number of converged alleles [%]', 'best fitness found [%]', 'Orientation','horizontal');
ylim([0 10])
xlim([0 30])

saveas(gcf, [savePrefix '.eps'], 'psc2' );
saveas(gcf, [savePrefix '.fig'] );
saveas(gcf, [savePrefix '.png'] );

set(gcf,'PaperUnits','normalized');
set(gcf,'PaperType','A4');
set(gcf,'PaperOrientation','Landscape');
set(gcf,'PaperPosition',[.1 .1 .8 .8]);
saveas(gcf, [savePrefix '.pdf'] );

end
